import { createRequire } from 'node:module';
import react from '@vitejs/plugin-react';
const extensions = [
    '.lng.tsx',
    '.web.tsx',
    '.tsx',
    '.lng.ts',
    '.web.ts',
    '.ts',
    '.lng.jsx',
    '.web.jsx',
    '.jsx',
    '.lng.js',
    '.web.js',
    '.js',
    '.json',
];
const vitePlugin = (options) => {
    const require = createRequire(options?.cwd ?? process.cwd());
    const reactNativeLightningPath = require.resolve('@plexinc/react-native-lightning');
    return [
        react(options?.reactOptions),
        {
            name: 'vite-react-native-lightning',
            enforce: 'pre',
            config: () => ({
                define: {
                    global: 'window',
                },
                optimizeDeps: {
                    esbuildOptions: {
                        resolveExtensions: extensions,
                    },
                },
                resolve: {
                    extensions,
                    alias: {
                        'react-native': reactNativeLightningPath,
                    },
                },
            }),
        },
    ];
};
export default vitePlugin;
